> ## Documentation Index
> Fetch the complete documentation index at: https://www.latitude.sh/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# List SSH Keys

> List all SSH Keys in the project. These keys can be used to access servers after deploy and reinstall actions.




## OpenAPI

````yaml https://spec.speakeasy.com/latitude/latitude/latitude-sh-api-with-code-samples get /projects/{project_id}/ssh_keys
openapi: 3.0.1
info:
  title: Latitude.sh API
  version: '2023-06-01'
  description: >-
    The Latitude.sh API is a RESTful API to manage your Latitude.sh account. It
    allows you to perform the same actions as the Latitude.sh dashboard.
servers:
  - url: https://api.latitude.sh
    variables:
      latitude_api_key:
        default: <insert your api key here>
  - url: http://api.latitude.sh
    variables:
      latitude_api_key:
        default: <insert your api key here>
security: []
tags:
  - name: API keys
  - name: Billing
  - name: Elastic Ips
  - name: Events
  - name: Firewalls
  - name: IP Addresses
  - name: Kubernetes Clusters
  - name: Operating Systems
  - name: Plans
  - name: Private Networks
  - name: Projects
  - name: Regions
  - name: Roles
  - name: SSH Keys
  - name: Servers
  - name: Storage
  - name: Tags
  - name: Teams
  - name: Team members
  - name: Traffic
  - name: User data
  - name: User profile
  - name: VPN Sessions
  - name: Virtual machines
paths:
  /projects/{project_id}/ssh_keys:
    get:
      tags:
        - SSH Keys
      summary: List SSH Keys
      description: >
        List all SSH Keys in the project. These keys can be used to access
        servers after deploy and reinstall actions.
      operationId: get-project-ssh-keys
      parameters:
        - name: project_id
          in: path
          description: Project ID or Slug
          required: true
          examples:
            Success:
              value: proj_5AEmq7wMqBkWX
          schema:
            type: string
        - name: filter[tags]
          in: query
          required: false
          description: >-
            The tags ids to filter by, separated by comma, e.g.
            `filter[tags]=tag_1,tag_2`will return ssh keys with `tag_1` AND
            `tag_2`
          examples:
            Success:
              value: tag_5wKQ2Y9eoAi5plr4zlQ6tjl6rEw,tag_8GKKZ6B9MbtYl4K09gj4fXy9Nneg
          schema:
            type: string
      responses:
        '200':
          description: Success
          content:
            application/vnd.api+json:
              examples:
                Success:
                  value:
                    data:
                      - id: ssh_mw49QDB5qagKb
                        type: ssh_keys
                        attributes:
                          tags: []
                          name: hirthe-ankunding.example
                          public_key: >-
                            ssh-rsa
                            AAAAB3NzaC1yc2EAAAADAQABAAABAQCmmIH/Esj4Cpz6utdAJN+syqnQ9xBHMGXKEKTecy2Qn2F7riuCDe7ICRDmpVnUhWJtvWGwrnGZgJkt3/q72lRGeMfBXF68cdvrzHMl+vDpQbmd6WAyCl4ufhGJyVrsw9N5eTMm9DOALWnd6SBldR6aubGUhhITI/ODh3N/l/0YPP2Nqif0lVrBCyxFBs894uNgbG2SR1hS6g7ZA8IfrUtQE3OPXMaVyIpfbdDVSVerOB9xZu2A8J+Dx/8hV7RPeed+R8D8wt9zLul03kaC/mrwXYrQDtEjqfgzLr/DtskKu02jyL3o2aXY0PmUtUX0QVDBOD9QImXOPLJGtagDfYER
                          fingerprint: 59:4a:b2:bf:13:8c:e4:18:dc:49:24:4b:37:f1:5d:2e
                          created_at: '2026-01-14T15:56:40+00:00'
                          updated_at: '2026-01-14T15:56:40+00:00'
                          project:
                            id: proj_RMLydp7XOQKr1
                            name: Lightweight Silk Wallet
                            slug: lightweight-silk-wallet
                            description: Synergistic Copper Coat
                            provisioning_type: on_demand
                            billing_type: Normal
                            billing_method: Normal
                            bandwidth_alert: false
                            environment: null
                            billing: {}
                            stats:
                              databases: 0
                              ip_addresses: 0
                              prefixes: 0
                              servers: 0
                              storages: 0
                              virtual_machines: 0
                              vlans: 0
                          user:
                            id: user_Gz4meW9wlVc2Q36vbgXgu05XYgo
                            first_name: Tracy
                            last_name: Corkery
                            email: bennett@johnson-beatty.example
                            created_at: '2025-11-29T00:00:00.000Z'
                            updated_at: '2025-12-07T00:00:00.000Z'
                            role:
                              id: role_Jp9VwYlWgbTMl0Po7RpYteZX4pj
                              name: owner
                              created_at: '2025-10-11T00:00:00.000Z'
                              updated_at: '2026-08-03T00:00:00.000Z'
                    meta: {}
              schema:
                $ref: '#/components/schemas/ssh_keys'
      deprecated: true
      security:
        - Bearer: []
components:
  schemas:
    ssh_keys:
      type: object
      properties:
        data:
          type: array
          items:
            $ref: '#/components/schemas/ssh_key_data'
        meta:
          type: object
    ssh_key_data:
      type: object
      properties:
        id:
          type: string
        type:
          type: string
          enum:
            - ssh_keys
        attributes:
          type: object
          properties:
            name:
              type: string
              description: Name of the SSH Key
            public_key:
              type: string
              description: SSH Public Key
            fingerprint:
              type: string
              description: SSH Key fingerprint
            user:
              $ref: '#/components/schemas/user_include'
            project:
              $ref: '#/components/schemas/project_include'
            created_at:
              type: string
            updated_at:
              type: string
      required:
        - type
    user_include:
      type: object
      properties:
        id:
          type: string
        first_name:
          type: string
        last_name:
          type: string
        email:
          type: string
        authentication_factor_id:
          type: string
          nullable: true
        created_at:
          type: string
        updated_at:
          type: string
        role:
          type: object
          properties:
            id:
              type: string
            name:
              type: string
            created_at:
              type: string
            updated_at:
              type: string
    project_include:
      type: object
      properties:
        id:
          type: string
        name:
          type: string
        slug:
          type: string
        description:
          type: string
          nullable: true
        billing_type:
          type: string
          nullable: true
        provisioning_type:
          type: string
          nullable: true
        billing_method:
          type: string
          nullable: true
        bandwidth_alert:
          type: boolean
        environment:
          type: string
          nullable: true
        billing:
          type: object
          properties:
            subscription_id:
              type: string
              nullable: true
            type:
              type: string
            method:
              type: string
        stats:
          type: object
          properties:
            ip_addresses:
              type: integer
            prefixes:
              type: integer
            servers:
              type: integer
            vlans:
              type: integer
  securitySchemes:
    Bearer:
      type: apiKey
      name: Authorization
      in: header

````